import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
export declare class BbDialogOverlay implements AfterViewInit, OnDestroy {
    private _elementRef;
    animations: boolean;
    closeRequested: EventEmitter<void>;
    private _state;
    private _closed$;
    private _subscription;
    get state(): "none" | "open" | "close";
    constructor(_elementRef: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onKeyEvent(event: KeyboardEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    close(): Promise<void>;
    private listenForClicks;
}
